Subject: bug#35420: Support git in ediff-patch-file

From: Robert Pluim <[email-masked]>
Date: Thu, 25 Apr 2019 09:53:16 +0200

>>>>> On Thu, 25 Apr 2019 09:14:21 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Juri Linkov <[email-masked]> Date: Thu, 25 Apr 2019
    >> 00:38:43 +0300
    >> 
    >> + (when (and (string-match-p "^a/" base-dir1) + (string-match-p
    >> "^b/" base-dir2)) + (setq base-dir1 "a/" + base-dir2 "b/")))))

    Eli> I think I saw the file names begin with i/ and w/ instead of
    Eli> a/ and b/.  Not sure when/why this happens.

You get i/, w/ and/or c/ when you run 'git diff' inside your working
tree, depending on whether the changed file is in the 'i'ndex,
'w'orking tree, or 'c'ache (also known as the staging area). Things
like 'git format-patch' and 'git show' use a/ and b/ by default.

And of course, since this is git, you can tell it to use other
prefixes using '--src-prefix' and '--dst-prefix'.

Robert